SystemOrganization addCategory: #KozStef!

KzMenuInfoBodySite subclass: #StefSite
	instanceVariableNames: ''
	classVariableNames: 'CachedSiteSeer'
	poolDictionaries: ''
	category: 'KozStef'!

StefSite class
	instanceVariableNames: 'site menu page main'!

!StefSite commentStamp: 'StephaneDucasse 1/18/2012 21:26' prior: 0!
StefSite generate!

StefSite class
	instanceVariableNames: 'site menu page main'!

!StefSite class methodsFor: 'help' stamp: 'StephaneDucasse 2/1/2012 12:53'!
bibEntriesWithoutKzAnnotation
	"self bibEntriesWithoutKzAnnotation"
	
	| bibset |
	bibset := CZFileLoader  bibFromFileNamed: 'rmod.bib'.
	bibset := bibset select: (CZFieldQuery named: #author checks: [:each | ('*Ducasse*') match: each]).
	^ bibset reject: [:each | '*kz*' match: (each at: #keywords) value ].! !

!StefSite class methodsFor: 'initialization' stamp: 'StephaneDucasse 2/5/2012 16:44'!
defaultCSS

 	^ 'body{
	COLOR: #000000; 
	BACKGROUND: #FFFFFF;                                    
	
	font: 10pt Verdana, Tahoma, Arial, Helvetica, sans-serif, Times New Roman;

	PADDING-LEFT: 0px;
	PADDING-RIGHT: 0px;
	PADDING-TOP: 0px;
	PADDING-BOTTOM: 0px;
}


/* HEADER */

#header {
}

#headerSiteTitle {
	font-size: 12pt;
	font-weight: 500;
	letter-spacing: 1px;
	border-bottom: 1px solid #CCCCCC;
	width: 128px;
}


#headerSiteTitle {
	font-size: 12pt;
	font-weight: 500;
	letter-spacing: 1px;
	border-bottom: 1px solid #CCCCCC;
	width: 250px;
}

#headerPageTitle {
	font-size: 10pt;
	font-weight: 500;
	color: #777777;
	letter-spacing: 7px;
	margin-left: 8px;
	padding-left: 48px;
	border-left: 1px solid #CCCCCC
}

/* HEADER - end*/

/* MENU */


#menu {
	float: left;

	margin-left: 8px;
	margin-right: 32px;
	margin-bottom: 16px;
	width: 142px;
}


#toc {
	font-size: 8pt;
	padding-top: 16px;
	border-left: 1px solid #CCCCCC;
}


#tocItem {
	padding: 8px;
	border-bottom: 1px #CCCCCC solid;
}

#copyright {
	font: 7pt Verdana, Tahoma, Arial, Helvetica, sans-serif, Times New Roman;
	color: #777777;
	margin-top: 8px;
	margin-bottom: 8px;
}

/*MENU - end*/

/*MAIN*/

td{
	font: 8pt Verdana, Tahoma, Arial, Helvetica, sans-serif, Times New Roman;
}


#mainContent {
	position: absolute;
	left: 160px;
	margin: 8px;
	margin-top: 0px;
	padding-top: 16px;
	
	font: 9pt Verdana, Tahoma, Arial, Helvetica, sans-serif, Times New Roman;
	
}

#personalDetails {
	font: 7pt Verdana, Tahoma, Arial, Helvetica, sans-serif, Times New Roman;
	float: right;
	width: 128px;
	margin-left: 16px;
	margin-bottom: 16px;
}

#personalDetailsItem{
	margin-left: 8px;
	border-left: 1px solid #CCCCCC;
	border-bottom: 1px solid #CCCCCC;
	padding: 8px;
}

/*MAIN - end*/

/*COMMON*/

#commonList {
}

#commonItem {
	padding-top: 8px;
	padding-bottom: 8px;
}

#commonItemDate {
	font-size: 7pt;
}

#commonItemDate:before {
	content: " ("
}

#commonItemDate:after {
	content: ") "
}

#commonItemTitle {
}

#commonItemDescription {
}

#commonItemDescription:before {
	content: "-"
}

#commonItemDetail {
	font-size: 7pt;
	margin-left: 16px;
}

/*COMMON - end*/


/*PUBLICATIONS*/

.paperList, .projectList, .contactData {
	padding-bottom:32px;
}

.paperListTitle, .projectListTitle, .contactTitle {
	letter-spacing: 2px;
	border-bottom: 1px solid #CCCCCC;
	margin-bottom: 16px;
}

.paper, .project, .supervisedThesis, .presentation {
	padding-bottom: 16px;
}

.paperAbstract, .paperBibEntry, .thesisSupervisor, .thesisAbstract {
	font-size: 7pt;
	margin-left: 16px;
	margin-top: 4px;
}

.paperRef, .thesisRef {
	margin-left: 16px;
	margin-top: 4px;
}

.paperDate, .thesisDate, .projectDate, .presentationDate {
	font-size: 7pt;
}

.paperDate:before, .thesisDate:before, .projectDate:before, .presentationDate:before {
	content: " ("
}

.paperDate:after, .thesisDate:after, .projectDate:after, .presentationDate:after {
	content: ") "
}


.paperDescription:before, .thesisDescription:before, .projectDescription:before, .presentationLocation:before {
	content: "- "
}

.paperAuthor:after, .thesisAuthor:after {
	content: " - "
}

.paperTitle, .thesisTitle {	
	color: #992222;
}

.paperTitle:after, .paperTitle:before, .thesisTitle:after, .thesisTitle:before {
	content: "''"
}

.emphasize {
	font-weight: bold;
}

.lineHeader {
	font-weight: bold;
}

/*PUBLICATIONS - end*/




/*DOCBOOK*/

#docbook {
/*	font: 9pt Times New Roman, Verdana, Tahoma, Arial, Helvetica, sans-serif;*/
}

.revhistory {
	display: none;
}

h2 {
	font-size: 12pt;
	font-weight: 200;
	letter-spacing: 2px;
}

h3 {
	font-size: 10pt;
	font-weight: 200;
	letter-spacing: 2px;
}

hr {
	display: none;
}

/*DOCBOOK - end*/


/* LINKS */

A:link {
	COLOR: #000099;
	TEXT-DECORATION: none;
}

A:visited {
	COLOR: #000099;
	TEXT-DECORATION: none;
}

A:hover {
	COLOR: #883333;
	TEXT-DECORATION: none;
}

A:active {
	COLOR: blue;
	TEXT-DECORATION: none;
}
'! !

!StefSite class methodsFor: 'help' stamp: 'StephaneDucasse 2/1/2012 12:51'!
help
	"self help"
	
	| bibset |
	bibset := CZFileLoader  bibFromFileNamed: 'rmod.bib'.
	^ bibset select: [:each | '*kz*' match: (each at: #keywords) value ].! !

!StefSite class methodsFor: 'initialization' stamp: 'sd 1/7/2012 18:30'!
initialize

	CachedSiteSeer := true.! !

!StefSite methodsFor: 'elements' stamp: 'StephaneDucasse 2/5/2012 14:39'!
addEditorialNavigation

	| list |
	list := KZList new. 
	self editorialSubTopics do: [:each |
		list addElement: (KZItem new name: each second; link: each first, '.html')
		].
	^ list! !

!StefSite methodsFor: 'elements' stamp: 'StephaneDucasse 2/5/2012 17:58'!
addLanguageNavigation

	| list |
	list := KZList new. 
	self languageSubTopics do: [:each |
		list addElement: (KZItem new name: each second; link: each first, '.html')
		].
	^ list! !

!StefSite methodsFor: 'elements' stamp: 'StephaneDucasse 1/18/2012 22:11'!
addSoftwareEvolutionNavigation

	| list |
	list := KZList new. 
	self evolutionSubTopics do: [:each |
		list addElement: (KZItem new name: each second; link: each first, '.html')
		].
	^ list! !

!StefSite methodsFor: 'texts' stamp: 'sd 1/8/2012 21:28'!
awardText

	^ '	<div class="itemizedlist"> 
      <ul type="disc">
	<li>Distinguished Visiting Fellowship Award of the Royal Academy of Engineering (2011).</li>
	<li>Veronica Uquillas Gomez won the Benevol most promising young research Award (2011).</li>
	<li>Mariano Martinez-Peck and Martin Diaz won for Fuel the 2011 ESUG Technology Award. </li>
	<li> <a href="http://books.seaside.st/">Dynamic web development with Seaside</a>: Our new free open-source Seaside book won the ESUG member 2010 best book Award.</li>
	  <li> Michele Lanza (2003) and Alexandre Bergel (2006) PhD theses won the <a href="http://www.denert-stiftung.de/">Ernest Denert foundation for Software Engineering</a> Award.</li>
	  
	  <li> <a href="http://rmod.lille.inria.fr/botsinc/pier">Learning Programming with Robots</a> received the Award of PCPlus magazine of September 2005 and the Bitwise Recommended Award in February 2006.
	  </ul>'
! !

!StefSite methodsFor: 'accessing' stamp: 'StephaneDucasse 1/23/2012 14:18'!
bibBuilder

	^ bibBuilder! !

!StefSite methodsFor: 'accessing' stamp: 'StephaneDucasse 1/23/2012 14:18'!
bibBuilder: aBuilder

	bibBuilder := aBuilder! !

!StefSite methodsFor: 'menu' stamp: 'StephaneDucasse 1/19/2012 21:26'!
booksMenuItem
	^ KZMenuItem new
		name: 'Books';
		link: 'Books.html';
		yourself! !

!StefSite methodsFor: 'menu' stamp: 'StephaneDucasse 1/19/2012 21:27'!
buildMenuBodyOn: menu
	menu addElement: self homeMenuItem.
	menu addElement: self pharoMenuItem.
	menu addElement: self publicationMenuItem.
	menu addElement: self booksMenuItem.
	menu addElement: self freeSmalltalkBooksMenuItem.
	menu addElement: self resourcesMenuItem.
	menu addElement: self teachingMenuItem.
	menu addElement: self coordinatesMenuItem! !

!StefSite methodsFor: 'elements' stamp: 'StephaneDucasse 2/5/2012 14:37'!
buildWelcomePageSectionsOn: welcomePage
	welcomePage addElementInMain: self sectionCurrentJob.
	welcomePage addElementInMain: self sectionAwardsAndIndexes.
	welcomePage addElementInMain: self sectionNews.
	welcomePage addElementInMain: self sectionResearch.
	welcomePage addElementInMain: self sectionSoftwareEvolution.
	welcomePage addElementInMain: self addSoftwareEvolutionNavigation.
	welcomePage addElementInMain: self sectionLanguageDesign.
	welcomePage addElementInMain: self addLanguageNavigation.
	welcomePage addElementInMain: self sectionEditorial.
	welcomePage addElementInMain: self addEditorialNavigation.
	welcomePage addElementInMain: self sectionService! !

!StefSite methodsFor: 'texts' stamp: 'sd 1/7/2012 18:32'!
citeseerText
	
	|cite |
	cite := CachedSiteSeer 
				ifTrue: [self defaultSiteSeer]
				ifFalse: [(Citeseer rankOf: 'S. Ducasse')].
	^ 'According to <a href="http://citeseerx.ist.psu.edu/stats/authors">CiteSeer</a>, I''m at rank ', cite asString, ' of most cited computer scientists.'.  ! !

!StefSite methodsFor: 'utils' stamp: 'StephaneDucasse 2/5/2012 14:37'!
createResearchSubTopicPages

	self evolutionSubTopics, self languageSubTopics, self editorialSubTopics
		do: [ :each | 
			self
				createSubTopic: each first
				title: each second
				text: each third
				bibTag: each fourth.
			each first ].
		! !

!StefSite methodsFor: 'utils' stamp: 'StephaneDucasse 1/24/2012 09:13'!
createSubTopic: file title: name text: text bibTag: bibTag
	| page |
	page := KZPage name: 'Research Topics' filename: file.
	self declarePage: page withId: (self subtopicKey: file).
	page addElement: self menu.
	page
		addElementInMain:
			(KZSection new
				title: name;
				levelDigitString: '3';
				text: text;
				yourself).
	page addElementInMain: (bibBuilder collectionBasedOnKozenTag: bibTag).
	^ page! !

!StefSite methodsFor: 'texts' stamp: 'StephaneDucasse 1/6/2012 15:40'!
currentJobText

	^ 'Since June 2011, I''m scientific officer of  <a HREF="http://www.inria.fr/centre-de-recherche-inria/lille-nord-europe">INRIA Lille Nord Europe research center</a>. Since September 2007, I''m research director at <a HREF="http://www.inria.fr">INRIA Lille</a> leading the <a href="http://rmod.lille.inria.fr">RMoD Team</a>. During 10 years, I co-directed with Oscar Nierstrasz the <A HREF="http://www.iam.unibe.ch/~scg"> Software Composition Group</a>. I was the leader of the <A HREF="http://www.iam.unibe.ch/~scg/Research/Recast/index.html">RECAST Project</a>.  I''m the president of <a HREF="http://www.esug.org/">ESUG</a>. Here is a short <a HREF="2011-CV.pdf">CV</a>.' ! !

!StefSite methodsFor: 'texts' stamp: 'StephaneDucasse 1/19/2012 09:33'!
currentSectionTitle
	^ 'Current responsibilities'! !

!StefSite methodsFor: 'initialize' stamp: 'sd 1/7/2012 18:28'!
defaultSiteSeer

	^ 3194! !

!StefSite methodsFor: 'texts' stamp: 'StephaneDucasse 2/7/2012 15:34'!
editorialSubTopics
	^ #(
		
		#('Editor' 'Workshop Proceedings ' 
		'Here are some of the proceedings of workshops and other activities I got over the year.' 
		'*kzEditor*') 
		
		#('Education' 'Teaching and Educative Support' 
		'I''m interested in how to teach computer sciences. I supervized Hilaire Fernandes on how computer sciences can support math teaching.' 
		'*kzTeaching*')
		
		#('Vulgarisation' 'Computer Science Vulgarisation' 
		'I wrote several articles around programming language topics for mass journals.' 
		'*kzVulgarisation*')
		)! !

!StefSite methodsFor: 'texts' stamp: 'StephaneDucasse 2/5/2012 14:12'!
evolutionSubTopics
	^ #(#('Modularisation' 'Software remodularisation' 
		'We explored various techniques to support software remodularisation and restructuring at different levels of granularity and with different objectives.'
		 '*kzRemodularisation*') 
	
		#('Visualization' 'Software Visualization' 
		'We explored how program visualization can support software understanding.  We work at different level: system, class, packages, but also using different information: structure, runtime, references. Quite exciting topics.' 
		'*kzVisualization*')
		
		#('MetaModeling' 'Meta Modeling' 
		'As a reflective programmer, I''m also expert in meta modelling.' 
		'*kzMeta*')
		
		#('Merging' 'Supporting Merging' 
		'During development, supporting merge activities is often ignored. I work with Veronica Uquillas-Gomez on merge support.'
		 '*kzMerging*') 
		
		#('Cycle' 'Cycle and Layer Identification' 
		'We explored how to help software engineers to take decisions related to cycles in large software systems.' 
		'*kzCycle*')
		
		#('IDE' 'Integrated Software Developments' 
		'We explored difference facets of IDEs: from frameworks to build them to dynamic information to use them.' 
		'*kzIDE*')
		
		#('Metric' 'Software Metrics and Quality Models' 
		'We applied and evaluate software metrics as well as quality models. We worked with PSA and AirFrance in the context of the Squale FUI project. We collaborated with Qualixo. ' 
		'*kzMetric')
		
		#('Dynamic' 'Dynamic information and feature analysis' 
		'We used runtime information to understand or verify runtime system aspects. We also used it to characterize features.' 
		'*kzDynamicInformation*')
		
		#('Duplication' 'Identification of Duplicated Code' 
		'' 
		'*kzDuplication*')
		
		#('Tools' 'Reengineering Tools, Interexchange, and Infrastructure' 
		'' 
		'*kzTools*')
		
		#('Checking' 'Rules Checking' 
		'I''m really interested in using rules checking for building more robust software.' 
		'*kzChecking*')
		
		#('Archi' 'Architecture Extraction and Validation ' 
		'' 
		'*kzArchi*')
		
		#('Patterns' 'Evolution, Reengineering Challenges and Patterns' 
		'' 
		'*kzPattern*')
		
		#('History' 'History-based Analyses and Mining Repositories' 
		'' 
		'*kzHistory*')
		
		)! !

!StefSite methodsFor: 'menu' stamp: 'StephaneDucasse 1/19/2012 21:26'!
freeSmalltalkBooksMenuItem
	^ KZMenuItem new
		name: 'Free Smalltalk Books';
		link: 'FreeBooks.html';
		yourself! !

!StefSite methodsFor: 'who' stamp: 'StephaneDucasse 1/19/2012 21:58'!
headerSiteTitle
	"the title inside the page"
	
	^ 'St&eacute;phane Ducasse'! !

!StefSite methodsFor: 'block' stamp: 'StephaneDucasse 1/18/2012 20:49'!
imageName
	^ 'StefFingerOnNose128.jpg'! !

!StefSite methodsFor: 'texts' stamp: 'StephaneDucasse 1/6/2012 10:09'!
indexesText

	^ 'According to google scholar my h-index is 41 and my g-index is 70 - Maximum Cites: 343.'
! !

!StefSite methodsFor: 'initialize' stamp: 'StephaneDucasse 2/5/2012 16:26'!
initialize
	super initialize.
	self cssDirectoryName: 'CSS'.
	self cssFilename: 'Stef.css'.
	bibBuilder := KZBibCollectionBuilder new author: '*Ducasse*'; loadBib: 'rmod.bib'.! !

!StefSite methodsFor: 'texts' stamp: 'StephaneDucasse 1/6/2012 10:06'!
keywordsText

	^ 'Software Engineering, Object-Oriented Programming, Language Design, Reengineering, Reverse Engineering, Program Understanding, Reflective Programming, Dynamically typed languages, Meta-Programming, MOP, Aspect-Oriented Programming, Modules, Frameworks, Design Patterns, Teaching OO, Traits, Classboxes, Scheme, Smalltalk, Java, C#.'
! !

!StefSite methodsFor: 'texts' stamp: 'StephaneDucasse 2/5/2012 14:59'!
languageSubTopics
	^ #(
	
		#('Clutter' 'Clutter collector'
			'Often objects are referenced but not used anymore. We are working on a clutter mechanism that acts as a memory manager to reduce the memory footprint of application and use secondary memory as a paging mechanism.'
			'*kzClutter*')
			
			
		#('Trait' 'Traits: Intraclass reuse' 
		'Traits are groups of methods that can be reused orthogonally to inheritance. 
		We defined Traits which allows one to structure classes orthogonally to inheritance and offer a better composition mechanism than mixins. We formalized traits  and identify the problems with their introduction in strongly-typed languages. We proposed analysis to support the identification of traits in existing applications.  We extended traits with the notion of state and visibility. 
		
		 PHP 5.4, PERL-6, Dr-Scheme OO layer, Squeak3.9 and Pharo include traits. Traits influenced Scala (http://scala.epfl.ch/) developed at EPFL. Fortress (a new language for scientific computation developed by G. Steele) is entirely based on a variant of traits (http://labs.oracle.com/projects/plrg/). Several libraries have been developed for Ruby and Javascript. 
Several research teams proposed formal type systems for traits, showing the interest of the scientific community:  S. Drossopoulos, V. Bono/F. Damiano, L. Liquori and J. Reppy/K. Fisher.'
		 '*kzTrait*') 
	
		
		#('Classbox' 'Scoping class extensions: Classboxes' 
		'Some languages such as Objective-C, Ruby, Python, Smalltalk can define methods in package while their classes is defined in other packages. This allows one to build powerful layers and extend classes. But this poses the questions of the semantics of such constructs. Classboxes is an experimental solution that scope them dynamically and propose a flat view of the world from the extending package perspective.' 
		'*kzClassbox*')
		
		#('Modules' 'Software Modules and Aspects' 
		'We worked on classboxes and this led us to think deeply about how names are looked up. We also work on aspects and other modular concerns. I spent a lot of time thinking about a good module system for dynamic languages and I will work on it.' 
		'*kzModule*')
		
		#('Web' 'Dynamic Web Development' 
		'I helped people to publish their results on web programming. I do not consider these publications as my work but just a way to help other works to be documented and presented scientifically.' 
		'*kzWeb*')
		
		#('Reflection' 'Reflective Programming and Code Manipulation' 
		'' 
		'*kzReflection*')
		
		#('Varia' 'Components, Encapsulation and Language Infrastructure Related Topics' 
		'This section lists the works related to several aspects of object-oriented systems: proxies, serialization, encapsulation.' 
		'*kzLanguageDesign*')
		
		#('Dependencies' 'Object Dependencies' 
		'This work (done during my PhD) was looking at how to introduce kind of connector between objects by having first dependencies.' 
		'*kzDependency*')
		)! !

!StefSite methodsFor: 'mail' stamp: 'StephaneDucasse 1/18/2012 21:12'!
mailText
	^ 'StephaneDucasse(@At@)inria.fr'! !

!StefSite methodsFor: 'mail' stamp: 'StephaneDucasse 1/18/2012 21:07'!
mailtoString
	^ 'mailto:stephane.ducasse@inria.fr'! !

!StefSite methodsFor: 'texts' stamp: 'sd 1/7/2012 20:46'!
newsText

	^ '<div class="itemizedlist"> 
      <ul type="disc"> 
		<li>I was general chair of <a href="http://www.esug.org/wiki/pier/Conferences/2011"> ESUG 2011</a>. </li>
		<li>We got a new associated team named Plomo with Pleiad of University of Chile at Santiago.</li>
	  <li>We are setting up an INRIA consortium with industrial partners around <a href="http://www.pharo-project.org">Pharo</a>. Pharo 1.3 is out and 1.4 is in alpha.</li>
	  <li><a href="http://www.pharo-project.org/pharobyexample/">Pharo By Example</a> is free and out (in spanish, french, english and  japanese)!!</li>
	 <li> <a href="http://www.moosetechnology.org">Moose</a>. Moose is a software analysis meta-described platform that allows one to understand and analyze object-oriented applications developed in Smalltalk, Java or C++. Moose 4.3 is out.</li>
	  </ul>
    </div>'! !

!StefSite methodsFor: 'menu' stamp: 'StephaneDucasse 1/19/2012 21:26'!
publicationMenuItem
	^ KZMenuItem new
		name: 'Publications';
		link: 'Publications.html';
		yourself! !

!StefSite methodsFor: 'texts' stamp: 'sd 1/7/2012 20:48'!
researchText

	^ '
	My research statement is double: (1) How can we help companies to support the evolution and maintenance of their large applications and (2) how can we improve languages to better support evolution?
	
	'! !

!StefSite methodsFor: 'menu' stamp: 'StephaneDucasse 1/19/2012 21:27'!
resourcesMenuItem
	^ KZMenuItem new
		name: 'Downloads/Resources';
		link: 'Resources.html';
		yourself! !

!StefSite methodsFor: 'elements' stamp: 'StephaneDucasse 1/19/2012 08:14'!
sectionAwardsAndIndexes

	| section | 
	section := KZSection new title: 'Awards and Indexes'; text: self indexesText , ' ', self citeseerText,  (Character cr asString), self awardText.
	self declare: section withId: #secAwards.
	^ section! !

!StefSite methodsFor: 'elements' stamp: 'StephaneDucasse 2/5/2012 14:38'!
sectionEditorial

	| section | 
	section := KZSection new title: 'Editorial, teaching and vulgarisation'; levelDigitString: '3'; text: ''. 
	self declare: section withId: #secEditorial.
	^ section! !

!StefSite methodsFor: 'elements' stamp: 'StephaneDucasse 1/19/2012 08:14'!
sectionLanguageDesign

	| section | 
	section := KZSection new title: 'Language Design'; levelDigitString: '3'; text: 'I''m interested in revisiting foundational bricks of object-oriented languages such as encapsulation, reuse, message passing. Now I start to work on isolation and security in reflective object-oriented languages.'. 
	self declare: section withId: #secLanguageDesign.
	^ section! !

!StefSite methodsFor: 'elements' stamp: 'StephaneDucasse 1/19/2012 08:14'!
sectionResearch

	| section | 
	section := KZSection new title: 'Research'; text: self researchText. 
	self declare: section withId: #secResearch.
	^ section! !

!StefSite methodsFor: 'elements' stamp: 'StephaneDucasse 1/19/2012 08:14'!
sectionService

	| section | 
	section := KZSection new title: 'Program Committees'; text: self serviceText. 
	self declare: section withId: #secResearch.
	^ section! !

!StefSite methodsFor: 'elements' stamp: 'StephaneDucasse 1/19/2012 08:14'!
sectionSoftwareEvolution

	| section | 
	section := KZSection new title: 'Maintenance and Software Evolution'; levelDigitString: '3'; text: 'I''m interested in all the aspects of software evolution and maintenance of large systems. I consulted for companies. Do not hesitate to contact me. I''m interested in your problems.' ; yourself. 
	self declare: section withId: #secMaintenance.
	^ section! !

!StefSite methodsFor: 'texts' stamp: 'sd 1/10/2012 15:51'!
serviceText

	^ ' Here are some of the international conferences I was PC member. Now with my new responsibilities I decline more often committees participation. 
	<div class="itemizedlist"> 
      <ul type="disc">
	 <li> European Conference on Object-Oriented Programming (ECOOP 05, 07, 10) -- Core A *.</li>
	 <li>International Conference on Software Maintenance (ICSM 05, 06, 07, 08, 10, 11) -- Core A.</li>
	 <li>European Conference on Software Maintenance and Reengineering (CSMR 06, 07, 08).</li>
	 <li>International Conference on Program Comprehension (ICPC 06, 07, 08).</li>
	 <li>International Conference on the Unified Modeling Language (UML 03, 04, Models/UML 05, Models 06, 07, 09, 10) -- Core A.</li>
	 <li>International Dynamic Languages Symposium (DLS 05, 06).</li>
	 <li>International Symposium on Software Variability: a Programmers Perspective (SVPP 08).</li>
	 <li>International Conference on Extreme Programming (XP 00, 01).</li>
	<li> International Conference on Objects, Models, Components, Patterns (TOOLS 2009, 2010, 2011).</li>
	 <li>Working Conference on Reverse Engineering (WCRE 02, 05, 06, 10).</li>
	<li> International  Conference on Software Composition (SC 09).</li>
	</ul>
	</div>
'! !

!StefSite methodsFor: 'utils' stamp: 'sd 1/8/2012 21:40'!
subtopicKey: file
	^ ('research' , file) asSymbol! !

!StefSite methodsFor: 'menu' stamp: 'StephaneDucasse 1/19/2012 21:27'!
teachingMenuItem
	^ KZMenuItem new
		name: 'Lectures and Presentations';
		link: 'Teaching.html';
		yourself! !

!StefSite methodsFor: 'who' stamp: 'StephaneDucasse 1/19/2012 21:52'!
title 

	^ 'Dr. St&eacute;phane Ducasse' ! !
StefSite initialize!
